diff --git a/chrono/manager/views.py b/chrono/manager/views.py
index ff8210f..50ef9ca 100644
--- a/chrono/manager/views.py
+++ b/chrono/manager/views.py
@@ -296,8 +296,8 @@ class ResourceDayView(DateMixin, DayArchiveView):
             x for x in self.object_list if any([y.cancellation_datetime is None for y in x.booking_set.all()])
         ]
         if active_events:
-            min_event = min([localtime(x.start_datetime).time() for x in active_events])
-            max_event = max([localtime(x.start_datetime + interval).time() for x in active_events])
+            min_event = min(localtime(x.start_datetime).time() for x in active_events)
+            max_event = max(localtime(x.start_datetime + interval).time() for x in active_events)
         if min_timeperiod is None and min_event is None:
             return
         min_display = min(min_timeperiod or datetime.time(23), min_event or datetime.time(23))
@@ -396,8 +396,8 @@ class ResourceMonthView(DateMixin, MonthArchiveView):
             x for x in self.object_list if any([y.cancellation_datetime is None for y in x.booking_set.all()])
         ]
         if active_events:
-            min_event = min([localtime(x.start_datetime).time() for x in active_events])
-            max_event = max([localtime(x.start_datetime + interval).time() for x in active_events])
+            min_event = min(localtime(x.start_datetime).time() for x in active_events)
+            max_event = max(localtime(x.start_datetime + interval).time() for x in active_events)
             hide_sunday_event = not any([x.start_datetime.weekday() == 6 for x in active_events])
             hide_weekend_event = hide_sunday_event and not any(
                 [x.start_datetime.weekday() == 5 for x in active_events]
@@ -807,7 +807,7 @@ class AgendasImportView(FormView):
         try:
             results = import_site(agendas_json, overwrite=False)
         except AgendaImportError as exc:
-            form.add_error('agendas_json', u'%s' % exc)
+            form.add_error('agendas_json', '%s' % exc)
             return self.form_invalid(form)
         except KeyError as exc:
             form.add_error('agendas_json', _('Key "%s" is missing.') % exc.args[0])
@@ -885,7 +885,7 @@ class AgendasImportView(FormView):
                 else:
                     message2 = message_update
 
-                messages.info(self.request, u'%s %s' % (message1, message2))
+                messages.info(self.request, '%s %s' % (message1, message2))
 
         if global_noop:
             messages.info(self.request, _('No data found.'))
@@ -1165,7 +1165,7 @@ class AgendaDayView(AgendaDateView, DayArchiveView):
         )
 
     def get_timetable_infos(self):
-        timeperiods = itertools.chain(*[d.timeperiod_set.all() for d in self.agenda.prefetched_desks])
+        timeperiods = itertools.chain(*(d.timeperiod_set.all() for d in self.agenda.prefetched_desks))
         timeperiods = [t for t in timeperiods if t.weekday == self.date.weekday()]
         timeperiods = sorted(timeperiods, key=lambda t: t.start_time)
 
@@ -1173,14 +1173,14 @@ class AgendaDayView(AgendaDateView, DayArchiveView):
 
         min_timeperiod = max_timeperiod = min_event = max_event = None
         if timeperiods:
-            min_timeperiod = min([x.start_time for x in timeperiods])
-            max_timeperiod = max([x.end_time for x in timeperiods])
+            min_timeperiod = min(x.start_time for x in timeperiods)
+            max_timeperiod = max(x.end_time for x in timeperiods)
         active_events = [
             x for x in self.object_list if any([y.cancellation_datetime is None for y in x.booking_set.all()])
         ]
         if active_events:
-            min_event = min([localtime(x.start_datetime).time() for x in active_events])
-            max_event = max([localtime(x.start_datetime + interval).time() for x in active_events])
+            min_event = min(localtime(x.start_datetime).time() for x in active_events)
+            max_event = max(localtime(x.start_datetime + interval).time() for x in active_events)
         if min_timeperiod is None and min_event is None:
             return
         min_display = min(min_timeperiod or datetime.time(23), min_event or datetime.time(23))
@@ -1305,7 +1305,7 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
         return '1'
 
     def get_timetable_infos(self):
-        timeperiods = itertools.chain(*[d.timeperiod_set.all() for d in self.agenda.prefetched_desks])
+        timeperiods = itertools.chain(*(d.timeperiod_set.all() for d in self.agenda.prefetched_desks))
         timeperiods = sorted(timeperiods, key=lambda t: (t.weekday, t.start_time))
 
         interval = datetime.timedelta(minutes=60)
@@ -1313,8 +1313,8 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
         min_timeperiod = max_timeperiod = min_event = max_event = None
         hide_sunday_timeperiod = hide_weekend_timeperiod = hide_sunday_event = hide_weekend_event = True
         if timeperiods:
-            min_timeperiod = min([x.start_time for x in timeperiods])
-            max_timeperiod = max([x.end_time for x in timeperiods])
+            min_timeperiod = min(x.start_time for x in timeperiods)
+            max_timeperiod = max(x.end_time for x in timeperiods)
             hide_sunday_timeperiod = not any([e.weekday == 6 for e in timeperiods])
             hide_weekend_timeperiod = hide_sunday_timeperiod and not any(
                 [e.weekday == 5 for e in timeperiods]
@@ -1323,8 +1323,8 @@ class AgendaMonthView(AgendaDateView, MonthArchiveView):
             x for x in self.object_list if any([y.cancellation_datetime is None for y in x.booking_set.all()])
         ]
         if active_events:
-            min_event = min([localtime(x.start_datetime).time() for x in active_events])
-            max_event = max([localtime(x.start_datetime + interval).time() for x in active_events])
+            min_event = min(localtime(x.start_datetime).time() for x in active_events)
+            max_event = max(localtime(x.start_datetime + interval).time() for x in active_events)
             hide_sunday_event = not any([x.start_datetime.weekday() == 6 for x in active_events])
             hide_weekend_event = hide_sunday_event and not any(
                 [x.start_datetime.weekday() == 5 for x in active_events]
@@ -2554,7 +2554,7 @@ class TimePeriodExceptionDeleteView(ManagedTimePeriodExceptionMixin, DeleteView)
 
         success_url = super().get_success_url()
         if self.desk and 'from_popup' in self.request.GET:
-            success_url = '{}?display_exceptions={}'.format(success_url, self.desk.pk)
+            success_url = f'{success_url}?display_exceptions={self.desk.pk}'
         return success_url
 
     def get_queryset(self):
diff --git a/chrono/utils/spooler.py b/chrono/utils/spooler.py
index 161d6ab..77176a2 100644
--- a/chrono/utils/spooler.py
+++ b/chrono/utils/spooler.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 # chrono - agendas system
 # Copyright (C) 2021  Entr'ouvert
 #
diff --git a/setup.py b/setup.py
index b2750cc..487b96a 100644
--- a/setup.py
+++ b/setup.py
@@ -1,5 +1,4 @@
 #! /usr/bin/env python
-# -*- coding: utf-8 -*-
 
 import glob
 import os
@@ -34,7 +33,7 @@ def get_version():
     tag exists, take 0.0- and add the length of the commit log.
     """
     if os.path.exists('VERSION'):
-        with open('VERSION', 'r') as v:
+        with open('VERSION') as v:
             return v.read()
     if os.path.exists('.git'):
         p = subprocess.Popen(
diff --git a/tests/api/conftest.py b/tests/api/conftest.py
index f222d45..7360ad8 100644
--- a/tests/api/conftest.py
+++ b/tests/api/conftest.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 
 import pytest
@@ -13,7 +11,7 @@ from chrono.agendas.models import Agenda, Desk, Event, MeetingType, TimePeriod,
 def user():
     User = get_user_model()
     user = User.objects.create(
-        username='john.doe', first_name=u'John', last_name=u'Doe', email='john.doe@example.net'
+        username='john.doe', first_name='John', last_name='Doe', email='john.doe@example.net'
     )
     user.set_password('password')
     user.save()
@@ -41,7 +39,7 @@ def mock_now(request, freezer, time_zone):
 
 @pytest.fixture
 def some_data(mock_now):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     first_date = localtime(now()).replace(hour=17, minute=0, second=0, microsecond=0)
     first_date += datetime.timedelta(days=1)
@@ -49,7 +47,7 @@ def some_data(mock_now):
         event = Event(start_datetime=first_date + datetime.timedelta(days=i), places=20, agenda=agenda)
         event.save()
 
-    agenda2 = Agenda(label=u'Foo bar 2')
+    agenda2 = Agenda(label='Foo bar 2')
     agenda2.save()
     first_date = localtime(now()).replace(hour=20, minute=0, second=0, microsecond=0)
     first_date += datetime.timedelta(days=1)
@@ -65,7 +63,7 @@ def some_data(mock_now):
 @pytest.fixture
 def meetings_agenda(mock_now):
     agenda = Agenda(
-        label=u'Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=56
+        label='Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=56
     )
     agenda.save()
     meeting_type = MeetingType(agenda=agenda, label='Blah', duration=30)
diff --git a/tests/api/test_all.py b/tests/api/test_all.py
index e58ab58..340a4bb 100644
--- a/tests/api/test_all.py
+++ b/tests/api/test_all.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 
 import pytest
@@ -271,7 +269,7 @@ def test_agendas_meetingtypes_api(app, some_data, meetings_agenda):
     assert resp.json == expected_resp
 
     # wrong kind
-    agenda1 = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda1 = Agenda.objects.filter(label='Foo bar')[0]
     resp = app.get('/api/agenda/%s/meetings/' % agenda1.slug, status=404)
 
     # unknown
@@ -434,7 +432,7 @@ def test_agenda_detail_routing(app, meetings_agenda):
 
     # check it doesn't get confused with an agenda with "agenda" in its slug
     agenda = Agenda(
-        label=u'Foo bar Agenda', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=56
+        label='Foo bar Agenda', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=56
     )
     agenda.save()
     api_url = '/api/agenda/%s/' % agenda.slug
@@ -462,14 +460,14 @@ def test_virtual_agenda_detail(app, virtual_meetings_agenda):
 
 
 def test_virtual_agendas_meetingtypes_api(app):
-    virt_agenda = Agenda.objects.create(label=u'Virtual agenda', kind='virtual')
+    virt_agenda = Agenda.objects.create(label='Virtual agenda', kind='virtual')
 
     # No meetings because no real agenda
     resp = app.get('/api/agenda/%s/meetings/' % virt_agenda.slug)
     assert resp.json == {'data': []}
 
     # One real agenda : every meetings exposed
-    foo_agenda = Agenda.objects.create(label=u'Foo', kind='meetings')
+    foo_agenda = Agenda.objects.create(label='Foo', kind='meetings')
     MeetingType.objects.create(agenda=foo_agenda, label='Meeting1', duration=30)
     MeetingType.objects.create(agenda=foo_agenda, label='Meeting2', duration=15)
     VirtualMember.objects.create(virtual_agenda=virt_agenda, real_agenda=foo_agenda)
@@ -497,7 +495,7 @@ def test_virtual_agendas_meetingtypes_api(app):
 
     # Several real agendas
 
-    bar_agenda = Agenda.objects.create(label=u'Bar', kind='meetings')
+    bar_agenda = Agenda.objects.create(label='Bar', kind='meetings')
     MeetingType.objects.create(agenda=bar_agenda, label='Meeting Bar', duration=30)
     VirtualMember.objects.create(virtual_agenda=virt_agenda, real_agenda=bar_agenda)
 
diff --git a/tests/api/test_booking.py b/tests/api/test_booking.py
index bdc27a6..8054786 100644
--- a/tests/api/test_booking.py
+++ b/tests/api/test_booking.py
@@ -1,9 +1,7 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 import urllib.parse as urlparse
+from unittest import mock
 
-import mock
 import pytest
 from django.utils.timezone import make_aware, now
 
@@ -21,7 +19,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_booking_ics(app, some_data, meetings_agenda, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
     app.authorization = ('Basic', ('john.doe', 'password'))
     resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda.slug, event.id))
@@ -114,7 +112,7 @@ def test_booking_ics(app, some_data, meetings_agenda, user):
     assert 'COMMENT:custom comment\r\n' in resp.text
     assert 'URL:http://example.com/custom\r\n' in resp.text
 
-    meetings_agenda_id = Agenda.objects.filter(label=u'Foo bar Meeting')[0].id
+    meetings_agenda_id = Agenda.objects.filter(label='Foo bar Meeting')[0].id
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     event = resp.json['data'][2]
@@ -606,7 +604,7 @@ def test_booking_patch_api_extra_data(app, user):
 
 
 def test_booking_cancellation_api(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
     resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id), status=401)
 
@@ -619,7 +617,7 @@ def test_booking_cancellation_api(app, some_data, user):
 
 
 def test_booking_cancellation_post_api(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
     resp = app.post('/api/agenda/%s/fillslot/%s/' % (agenda.id, event.id), status=401)
 
@@ -647,7 +645,7 @@ def test_booking_cancellation_post_api(app, some_data, user):
 
 
 def test_booking_cancellation_post_meeting_api(app, meetings_agenda, user):
-    agenda_id = Agenda.objects.filter(label=u'Foo bar Meeting')[0].id
+    agenda_id = Agenda.objects.filter(label='Foo bar Meeting')[0].id
     meeting_type = MeetingType.objects.get(agenda=meetings_agenda)
     resp = app.get('/api/agenda/meetings/%s/datetimes/' % meeting_type.id)
     nb_events = len(resp.json['data'])
@@ -760,7 +758,7 @@ def test_bookings(app, user):
 
 
 def test_cancel_booking(app, some_data, user):
-    agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].pk
+    agenda_id = Agenda.objects.filter(label='Foo bar')[0].pk
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
     primary = Booking.objects.create(event=event)
     secondary = Booking.objects.create(event=event, primary_booking=primary)
diff --git a/tests/api/test_datetimes.py b/tests/api/test_datetimes.py
index 296d5ca..0053e6d 100644
--- a/tests/api/test_datetimes.py
+++ b/tests/api/test_datetimes.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 import urllib.parse as urlparse
 
@@ -13,7 +11,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_datetimes_api(app, some_data):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
 
     def check_bookability(data):
         for event in data:
@@ -79,7 +77,7 @@ def test_datetime_api_fr(app):
     agenda = Agenda.objects.create(label='Foo bar', kind='events', minimal_booking_delay=0)
     Event.objects.create(
         slug='event-slug',
-        start_datetime=localtime((now() + datetime.timedelta(days=5))).replace(hour=17, minute=0),
+        start_datetime=localtime(now() + datetime.timedelta(days=5)).replace(hour=17, minute=0),
         places=5,
         agenda=agenda,
     )
@@ -339,7 +337,7 @@ def test_datetimes_api_hide_disabled(app):
 
 
 def test_waiting_list_datetimes(app, some_data, user):
-    agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
+    agenda_id = Agenda.objects.filter(label='Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
     event.waiting_list_places = 5
     event.save()
@@ -489,7 +487,7 @@ def test_datetimes_api_meta(app, freezer):
     # 2017-05-20 -> saturday
     freezer.move_to(make_aware(datetime.datetime(year=2017, month=5, day=20, hour=1, minute=12)))
 
-    agenda = Agenda.objects.create(label=u'Foo bar')
+    agenda = Agenda.objects.create(label='Foo bar')
     first_date = localtime(now()).replace(hour=17, minute=0, second=0, microsecond=0)
     first_date += datetime.timedelta(days=1)
     for i in range(3):
diff --git a/tests/api/test_event.py b/tests/api/test_event.py
index f290b2c..be02efb 100644
--- a/tests/api/test_event.py
+++ b/tests/api/test_event.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 
 import pytest
diff --git a/tests/api/test_fillslot.py b/tests/api/test_fillslot.py
index 7acca28..8052218 100644
--- a/tests/api/test_fillslot.py
+++ b/tests/api/test_fillslot.py
@@ -1,9 +1,7 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 import urllib.parse as urlparse
+from unittest import mock
 
-import mock
 import pytest
 from django.db import connection
 from django.test.utils import CaptureQueriesContext
@@ -25,7 +23,7 @@ pytestmark = pytest.mark.django_db
 
 
 def test_booking_api(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
 
     # unauthenticated
@@ -269,7 +267,7 @@ def test_booking_api_meetings_agenda_exclude_slots(app, user):
 
 
 def test_booking_api_fillslots(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     events_ids = [x.id for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()]
     events_slugs = [x.slug for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()]
     assert len(events_ids) == 3
@@ -411,7 +409,7 @@ def test_booking_api_fillslots(app, some_data, user):
 
 
 def test_booking_api_fillslots_slots_string_param(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     events_ids = [x.id for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()]
     assert len(events_ids) == 3
     app.authorization = ('Basic', ('john.doe', 'password'))
@@ -761,7 +759,7 @@ def test_booking_api_meeting_across_daylight_saving_time(app, meetings_agenda, u
 
 
 def test_booking_api_with_data(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
 
     app.authorization = ('Basic', ('john.doe', 'password'))
@@ -855,7 +853,7 @@ def test_booking_api_available(app, user):
 
 
 def test_booking_api_force_waiting_list(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
 
     app.authorization = ('Basic', ('john.doe', 'password'))
@@ -935,7 +933,7 @@ def test_booking_api_force_waiting_list(app, some_data, user):
 
 
 def test_booking_api_with_cancel_booking(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event_0, event_1, event_2 = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][
         0:4
     ]
@@ -1017,7 +1015,7 @@ def test_booking_api_with_cancel_booking(app, some_data, user):
 
 
 def test_soldout(app, some_data, user):
-    agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
+    agenda_id = Agenda.objects.filter(label='Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
 
     resp = app.get('/api/agenda/%s/datetimes/' % agenda_id)
@@ -1041,7 +1039,7 @@ def test_soldout(app, some_data, user):
 
 
 def test_waiting_list_booking(app, some_data, user):
-    agenda_id = Agenda.objects.filter(label=u'Foo bar')[0].id
+    agenda_id = Agenda.objects.filter(label='Foo bar')[0].id
     event = Event.objects.filter(agenda_id=agenda_id).exclude(start_datetime__lt=now())[0]
     event.waiting_list_places = 5
     event.save()
@@ -1084,7 +1082,7 @@ def test_waiting_list_booking(app, some_data, user):
 
 
 def test_multiple_booking_api(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     event = [x for x in Event.objects.filter(agenda=agenda) if x.in_bookable_period()][0]
 
     app.authorization = ('Basic', ('john.doe', 'password'))
@@ -1174,7 +1172,7 @@ def test_multiple_booking_api(app, some_data, user):
 
 
 def test_multiple_booking_api_fillslots(app, some_data, user):
-    agenda = Agenda.objects.filter(label=u'Foo bar')[0]
+    agenda = Agenda.objects.filter(label='Foo bar')[0]
     # get slots of first 2 events
     events = [
         x for x in Event.objects.filter(agenda=agenda).order_by('start_datetime') if x.in_bookable_period()
@@ -1287,7 +1285,7 @@ def test_multiple_booking_api_fillslots(app, some_data, user):
 
 
 def test_multiple_booking_move_booking(app, user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     first_date = localtime(now()).replace(hour=17, minute=0, second=0, microsecond=0)
     first_date += datetime.timedelta(days=1)
@@ -1623,7 +1621,7 @@ def test_virtual_agendas_meetings_booking(app, mock_now, user):
         == resp.json['data'][0]['datetime']
     )
     second_booking_agenda = resp_booking.json['agenda']['slug']
-    assert set([first_booking_agenda, second_booking_agenda]) == {'foo-meeting', 'bar-meeting'}
+    assert {first_booking_agenda, second_booking_agenda} == {'foo-meeting', 'bar-meeting'}
 
     # try booking the same timeslot a third time: full
     resp_booking = app.post(fillslot_url)
@@ -1794,7 +1792,7 @@ def test_virtual_agendas_meetings_booking_default_policy(app, mock_now, user):
 
 @pytest.mark.freeze_time('2017-04-01')
 def test_duration_on_booking_api_fillslot_response(app, user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     first_date = datetime.datetime(2017, 5, 20, 1, 12)
     durations = [None, 0, 45]
@@ -1842,7 +1840,7 @@ def test_duration_on_booking_api_fillslot_response(app, user):
 
 @pytest.mark.freeze_time('2017-04-01')
 def test_duration_on_booking_api_fillslots_response(app, user):
-    agenda = Agenda(label=u'Foo bar')
+    agenda = Agenda(label='Foo bar')
     agenda.save()
     first_date = datetime.datetime(2017, 5, 20, 1, 12)
     durations = [None, 0, 45]
diff --git a/tests/api/test_meetings_datetimes.py b/tests/api/test_meetings_datetimes.py
index 5f69bf7..bcde151 100644
--- a/tests/api/test_meetings_datetimes.py
+++ b/tests/api/test_meetings_datetimes.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 
 import pytest
@@ -884,7 +882,7 @@ def test_agenda_meeting_api_desk_info(app, meetings_agenda, user):
 @pytest.mark.freeze_time('2017-05-20')
 def test_agenda_meeting_gcd_durations(app, user):
     meetings_agenda = Agenda.objects.create(
-        label=u'Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=8
+        label='Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=8
     )
     meeting_type_30 = MeetingType.objects.create(agenda=meetings_agenda, label='Blah', duration=30)
     desk = Desk.objects.create(agenda=meetings_agenda, label='Desk 1')
@@ -955,7 +953,7 @@ def test_agenda_meeting_gcd_durations(app, user):
 @pytest.mark.freeze_time('2017-05-20')
 def test_agenda_meeting_gcd_durations_and_exceptions(app, user):
     meetings_agenda = Agenda.objects.create(
-        label=u'Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=3
+        label='Foo bar Meeting', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=3
     )
     desk = Desk.objects.create(agenda=meetings_agenda, label='Desk 1')
     TimePeriod.objects.create(
@@ -1131,7 +1129,7 @@ def test_virtual_agendas_meetings_datetimes_api(app, virtual_meetings_agenda):
 
 def test_virtual_agendas_meetings_datetimes_api_with_similar_desk(app):
     agenda_foo = Agenda.objects.create(
-        label=u'Agenda Foo', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=4
+        label='Agenda Foo', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=4
     )
     MeetingType.objects.create(agenda=agenda_foo, label='Meeting Type', duration=30)
     test_1st_weekday = (localtime(now()).weekday() + 1) % 7
@@ -1159,7 +1157,7 @@ def test_virtual_agendas_meetings_datetimes_api_with_similar_desk(app):
     )
 
     agenda_bar = Agenda.objects.create(
-        label=u'Agenda Bar', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=4
+        label='Agenda Bar', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=4
     )
     meeting_type_bar = MeetingType.objects.create(agenda=agenda_bar, label='Meeting Type', duration=30)
     desk_bar = Desk.objects.create(agenda=agenda_bar, label='Desk 1')
@@ -1183,7 +1181,7 @@ def test_virtual_agendas_meetings_datetimes_api_with_similar_desk(app):
     )
 
     virtual_agenda = Agenda.objects.create(
-        label=u'Agenda Virtual', kind='virtual', minimal_booking_delay=1, maximal_booking_delay=4
+        label='Agenda Virtual', kind='virtual', minimal_booking_delay=1, maximal_booking_delay=4
     )
     VirtualMember.objects.create(virtual_agenda=virtual_agenda, real_agenda=agenda_foo)
     VirtualMember.objects.create(virtual_agenda=virtual_agenda, real_agenda=agenda_bar)
@@ -1884,7 +1882,7 @@ def test_datetimes_maximal_booking_delay(app, user, freezer, test_datetime):
 
 def test_meetings_and_virtual_datetimes_date_filter(app):
     agenda_foo = Agenda.objects.create(
-        label=u'Agenda Foo', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=7
+        label='Agenda Foo', kind='meetings', minimal_booking_delay=1, maximal_booking_delay=7
     )
     meeting_type = MeetingType.objects.create(agenda=agenda_foo, label='Meeting Type', duration=30)
     desk_foo = Desk.objects.create(agenda=agenda_foo, label='Desk 1')
@@ -1903,7 +1901,7 @@ def test_meetings_and_virtual_datetimes_date_filter(app):
         )
 
     virtual_agenda = Agenda.objects.create(
-        label=u'Agenda Virtual', kind='virtual', minimal_booking_delay=1, maximal_booking_delay=7
+        label='Agenda Virtual', kind='virtual', minimal_booking_delay=1, maximal_booking_delay=7
     )
     VirtualMember.objects.create(virtual_agenda=virtual_agenda, real_agenda=agenda_foo)
 
@@ -2034,9 +2032,7 @@ def test_meetings_and_virtual_datetimes_date_filter(app):
 def test_datetimes_api_meetings_agenda_meta(app, freezer):
     # 2017-05-20 -> saturday
     freezer.move_to(make_aware(datetime.datetime(year=2017, month=5, day=20, hour=1, minute=12)))
-    meetings_agenda = Agenda.objects.create(
-        label=u'Foo bar Meeting', kind='meetings', maximal_booking_delay=3
-    )
+    meetings_agenda = Agenda.objects.create(label='Foo bar Meeting', kind='meetings', maximal_booking_delay=3)
     meeting_type = MeetingType(agenda=meetings_agenda, label='Blah', duration=30)
     meeting_type.save()
 
@@ -2124,9 +2120,9 @@ def test_datetimes_api_meetings_agenda_meta(app, freezer):
 def test_datetimes_api_virtual_meetings_agenda_meta(app, freezer):
     # 2017-05-20 -> saturday
     freezer.move_to(make_aware(datetime.datetime(year=2017, month=5, day=20, hour=1, minute=12)))
-    meetings_agenda1 = Agenda.objects.create(label=u'Foo Meeting', kind='meetings', maximal_booking_delay=3)
-    meetings_agenda2 = Agenda.objects.create(label=u'Bar Meeting', kind='meetings', maximal_booking_delay=3)
-    virtual_agenda = Agenda.objects.create(label=u'Agenda Virtual', kind='virtual', maximal_booking_delay=3)
+    meetings_agenda1 = Agenda.objects.create(label='Foo Meeting', kind='meetings', maximal_booking_delay=3)
+    meetings_agenda2 = Agenda.objects.create(label='Bar Meeting', kind='meetings', maximal_booking_delay=3)
+    virtual_agenda = Agenda.objects.create(label='Agenda Virtual', kind='virtual', maximal_booking_delay=3)
     VirtualMember.objects.create(virtual_agenda=virtual_agenda, real_agenda=meetings_agenda1)
     VirtualMember.objects.create(virtual_agenda=virtual_agenda, real_agenda=meetings_agenda2)
     desk1 = Desk.objects.create(agenda=meetings_agenda1, label='Desk 1')
diff --git a/tests/api/test_statistics.py b/tests/api/test_statistics.py
index 38a99c4..fb4b55f 100644
--- a/tests/api/test_statistics.py
+++ b/tests/api/test_statistics.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import pytest
 from django.utils.timezone import now
 
diff --git a/tests/manager/conftest.py b/tests/manager/conftest.py
index 4312b78..bb11515 100644
--- a/tests/manager/conftest.py
+++ b/tests/manager/conftest.py
@@ -42,7 +42,7 @@ def api_user():
         user = User.objects.get(username='api-user')
     except User.DoesNotExist:
         user = User.objects.create(
-            username='john.doe', first_name=u'John', last_name=u'Doe', email='john.doe@example.net'
+            username='john.doe', first_name='John', last_name='Doe', email='john.doe@example.net'
         )
         user.set_password('password')
         user.save()
diff --git a/tests/manager/test_absence_reason.py b/tests/manager/test_absence_reason.py
index c5e2195..5830c71 100644
--- a/tests/manager/test_absence_reason.py
+++ b/tests/manager/test_absence_reason.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import copy
 import json
 
@@ -15,7 +13,7 @@ pytestmark = pytest.mark.django_db
 
 @pytest.fixture
 def agenda_with_restrictions(manager_user):
-    agenda = Agenda(label=u'Foo Bar')
+    agenda = Agenda(label='Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
     return agenda
@@ -238,7 +236,7 @@ def test_delete_reason_as_manager(app, manager_user, agenda_with_restrictions):
 
 
 def test_meetings_agenda_group(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='meetings')
+    agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     AbsenceReasonGroup.objects.create(label='Foo bar')
 
     app = login(app)
@@ -250,7 +248,7 @@ def test_meetings_agenda_group(app, admin_user):
 
 
 def test_agenda_group(app, admin_user):
-    agenda = Agenda.objects.create(label=u'Foo bar', kind='events')
+    agenda = Agenda.objects.create(label='Foo bar', kind='events')
     Desk.objects.create(agenda=agenda, slug='_exceptions_holder')
 
     app = login(app)
